View Issue Details

IDProjectCategoryView StatusLast Update
0022872LazarusIDEpublic2013-09-10 13:33
ReporterMartin Friebe Assigned ToZeljan Rikalo  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.1 (SVN) 
Summary0022872: QT keeps sending Menu.OnClick (qt on w32)
DescriptionThis demonstrate why (qt on w32) the IDE "Windows" menu flickers.

Run the attached, open the first menu, and keep moving the mouse over the menu caption "New Item 1"

This only happens, if the OnClick changes the structure off the menu
TagsNo tags attached.
Fixed in Revision38644
LazTarget-
WidgetsetQT
Attached Files

Relationships

related to 0017565 closedJuha Manninen Gtk2: MainMenu.OnClick not triggered [Comment/Uncomment IDE menu items become disabled] 
related to 0023221 resolvedZeljan Rikalo incomplete drawing of Window menu (qt) 
related to 0024979 closedZeljan Rikalo Actions linked to menuitem not processed in onUpdate procedure 

Activities

2012-09-13 10:34

 

qt_menu.rar (1,968 bytes)

Zeljan Rikalo

2012-09-13 14:11

developer   ~0062332

Juha is guilty :)
http://svn.freepascal.org/cgi-bin/viewvc.cgi?view=rev&root=lazarus&revision=30426

Zeljan Rikalo

2012-09-13 14:56

developer   ~0062333

Please test and close if ok.

Issue History

Date Modified Username Field Change
2012-09-13 10:34 Martin Friebe New Issue
2012-09-13 10:34 Martin Friebe File Added: qt_menu.rar
2012-09-13 10:34 Martin Friebe LazTarget => -
2012-09-13 10:34 Martin Friebe Widgetset => QT
2012-09-13 13:59 Zeljan Rikalo Status new => assigned
2012-09-13 13:59 Zeljan Rikalo Assigned To => Yuriy Sydorov
2012-09-13 13:59 Zeljan Rikalo Assigned To Yuriy Sydorov => Zeljan Rikalo
2012-09-13 14:11 Zeljan Rikalo Note Added: 0062332
2012-09-13 14:11 Zeljan Rikalo Status assigned => confirmed
2012-09-13 14:13 Zeljan Rikalo Relationship added related to 0017565
2012-09-13 14:56 Zeljan Rikalo Fixed in Revision => 38644
2012-09-13 14:56 Zeljan Rikalo Status confirmed => resolved
2012-09-13 14:56 Zeljan Rikalo Resolution open => fixed
2012-09-13 14:56 Zeljan Rikalo Note Added: 0062333
2012-09-14 17:45 Martin Friebe Status resolved => closed
2012-10-27 15:03 Zeljan Rikalo Relationship added related to 0023221
2013-09-10 13:33 Zeljan Rikalo Relationship added related to 0024979